> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.scrollbars.md).

# ScrollBars

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies which scroll bars will be visible on a control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ScrollBars : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ScrollBars As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name           | Description                                                       |
| -------------- | ----------------------------------------------------------------- |
| **Both**       | Both scroll bars are shown when necessary.                        |
| **Hidden**     | Scrolling functionality is active but the scrollbar are hidden.   |
| **Horizontal** | Shows only the horizontal scroll bar when necessary.              |
| **None**       | No scroll bars are shown and scrolling functionality is disabled. |
| **Vertical**   | Shows only the vertical scroll bar when necessary.                |

## Used By

| Name                                                                                                                                                     | Description                                                                                                                             |
| -------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| [ScrollableControl.ScrollBars](/api/wisej.web/containers/scrollablecontrol.md#scrollbars)                                                                | Returns or sets the type of scroll bars to display for the [ScrollableControl](/api/wisej.web/containers/scrollablecontrol.md) control. |
| [TextBox.ScrollBars](/api/wisej.web/editors/wisej.web.textbox.md#scrollbars)                                                                             | Returns or sets which scroll bars should appear.                                                                                        |
| [DataGridView.ScrollBars](/api/wisej.web/lists-and-grids/datagridview.md#scrollbars)                                                                     | Returns or sets the type of scroll bars to display for the [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) control.      |
| [HtmlPanel.ScrollBars](/api/wisej.web/content/htmlpanel.md#scrollbars)                                                                                   | Returns or sets the type of scroll bars to display for the [HtmlPanel](/api/wisej.web/content/htmlpanel.md) control.                    |
| [ScrollableControlExtensions.ScrollBars](/api/wisej.web.markup/extensions/wisej.web.markup.scrollablecontrolextensions.md#scrollbars-control-scrollbars) | Sets the ScrollBars property of the specified [ScrollableControl](/api/wisej.web/containers/scrollablecontrol.md).                      |
| [TextBoxExtensions.ScrollBars](/api/wisej.web.markup/extensions/wisej.web.markup.textboxextensions.md#scrollbars-textbox-scrollbars)                     | Sets the scroll bars for the specified [TextBox](/api/wisej.web/editors/wisej.web.textbox.md).                                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.scrollbars.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
